<section class="new-training" fxLayoyt fxLayoutAlign="center">
  <form (ngSubmit)="onStartTraining(f)" #f="ngForm">
    <mat-card fxFlex.xs="100%" fxFlex="400px">
        <mat-card-title fxLayoutAlign="center">Time to start a workout!</mat-card-title>
        <mat-card-content fxLayoutAlign="center">
          <mat-form-field *ngIf="!(isLoading$ | async) && exercises$ | async">
              <mat-select placeholder="Choose exercise" ngModel name="exercise" required>
                <mat-option *ngFor="let exercise of exercises$ | async" [value]="exercise.id">
                  {{ exercise.name }}
                </mat-option>
              </mat-select>
            </mat-form-field>
            <mat-spinner *ngIf="isLoading$ | async"></mat-spinner>
        </mat-card-content>
        <mat-card-actions *ngIf="!(isLoading$ | async)" fxLayoutAlign="center">
          <button *ngIf="exercises$ | async" mat-raised-button type="submit" color="accent" [disabled]="f.invalid">Start</button>
          <button *ngIf="!(exercises$ | async)" mat-raised-button type="button" color="accent" (click)="fetchExercises()">Fetch Again</button>
        </mat-card-actions>
    </mat-card>
  </form>
</section>
